System Requirements

From Mothership
Jump to: navigation, search

Mothership has the following system requirements:

  • A Unix-like operating system (i.e. OSX, Linux, etc). (Mothership cannot currently run in Windows. However, we do plan to implement Windows compatibility.)
  • Apache or Nginx
  • MySQL 5.1.0 or higher
  • PHP 5.4.0 or higher
  • PHP intl extention (see http://php.net/manual/en/intl.setup.php)

Recommended

  • Git version control software for managing projects and contributing to Mothership
  • Composer for ensuring Mothership is kept up to date